package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrOverhaulTower;

/**
 * 检修项目-塔罐Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrOverhaulTowerService 
{
    /**
     * 查询检修项目-塔罐
     * 
     * @param id 检修项目-塔罐ID
     * @return 检修项目-塔罐
     */
    public TPssrOverhaulTower selectTPssrOverhaulTowerById(Long id);

    /**
     * 查询检修项目-塔罐列表
     * 
     * @param tPssrOverhaulTower 检修项目-塔罐
     * @return 检修项目-塔罐集合
     */
    public List<TPssrOverhaulTower> selectTPssrOverhaulTowerList(TPssrOverhaulTower tPssrOverhaulTower);

    /**
     * 新增检修项目-塔罐
     * 
     * @param tPssrOverhaulTower 检修项目-塔罐
     * @return 结果
     */
    public int insertTPssrOverhaulTower(TPssrOverhaulTower tPssrOverhaulTower);

    /**
     * 修改检修项目-塔罐
     * 
     * @param tPssrOverhaulTower 检修项目-塔罐
     * @return 结果
     */
    public int updateTPssrOverhaulTower(TPssrOverhaulTower tPssrOverhaulTower);
    public int updateAllBySubId(TPssrOverhaulTower tPssrOverhaulTower);

    /**
     * 批量删除检修项目-塔罐
     * 
     * @param ids 需要删除的检修项目-塔罐ID
     * @return 结果
     */
    public int deleteTPssrOverhaulTowerByIds(Long[] ids);

    /**
     * 删除检修项目-塔罐信息
     * 
     * @param id 检修项目-塔罐ID
     * @return 结果
     */
    public int deleteTPssrOverhaulTowerById(Long id);
}
